# Apiary config file
[Store]
# Type of store to use
# Must be "memory" or "postgres"
# Default: "memory"
Type = "memory"
# Enable caching
# Default: false
EnableCache = false

[Store.Postgres]
# Connection string for postgres
# Must be set if using Store.Type = "postgres" 
DSN = "postgresql://user:password@example.org:5432/apiary" 

[Honeypot]
# Path to SSH host key
# If empty, a new one will be generated each time the service starts
# Default: ""
HostKeyPath = ""
# Log level for SSH Honeypot
# Must be either "DEBUG", "INFO", "WARN", "ERROR", "FATAL", "NONE"
# Default: "INFO"
LogLevel = "INFO"
# Address and port to listen to 
# Default: ":2222"
ListenAddr = ":2222"
# Throttle incoming and outgoing data per connection
# Values are in bytes per second. Empty means no unlimited
# Default: ""
ThrottleSpeed = 10240.0

[Frontend]
# Log level for SSH Honeypot
# Must be either "DEBUG", "INFO", "WARN", "ERROR", "FATAL", "NONE"
# Default: "INFO"
LogLevel = "INFO"
# Enable access logging
# Default: true
AccessLogEnable = true
# Address and port to listen to
# Default: ":8080"
ListenAddr = ":8080"

[Frontend.Autocert]
# Enable using letsencrypt for automatic certificates
# When enabled Frontend.ListenAddr will be ignored, and the server
# will listen to 443
# Default: false
Enable = false
# Email address for certificate owner
Email = ""
# Domains to use for certificates. Required when using autocert.
# Default: ""
Domains = ["example.org"]
# Dir where certificates are cached.
# Default: "/tmp"
CacheDir = "/var/apiary/certs"
# Redirect HTTP to HTTPS
# Default: true
RedirectHTTP = true

[Ports]
# Enable the port listener.
# Default: false
Enable = false

# Which address to listen on.
# Default: "" (listen to all addresses)
Addr = ""

# Which TCP ports to listen to.
# Default: []
TCPPorts = ["25"]

# Which UDP ports to listen to.
# Default: []
UDPPorts = ["25"]

[SMTP]
# Enable the port listener.
# Default: false
Enable = true

# Which address and port to listen on.
# Default: ":25"
Addr = ":25"

# Enable collecting prometheus metrics
# Default: false
EnableMetrics = true
